Get Company Information
curl --request POST \
--url https://api.linkupapi.com/v1/data/company/info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"company_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/company/info"
payload = { "company_url": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_url: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/company/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"name": "Stripe",
"universalName": "stripe",
"description": "Stripe is a financial infrastructure platform for businesses. Millions of companies—from the world's largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
"tagline": "Help increase the GDP of the internet.",
"websiteUrl": "https://stripe.com",
"industry": "Technology, Information and Internet",
"employeeCount": 11685,
"employeeCountRange": {
"start": 5001,
"end": 10000
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/D4E0BAQFqiwiSMcKk6A/company-logo_200_200/company-logo_200_200/0/1724937022726/stripe_logo?e=1750896000&v=beta&t=HhXH11lhKvAADBP8MukV5oM-Im2NLhNTAWeMDx5QGM8",
"coverImageUrl": null,
"callToAction": {
"displayText": "Learn more",
"visible": true,
"type": "LEARN_MORE",
"url": "https://stripe.com/jobs"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"headquarter": true
},
{
"streetAddressOptOut": false,
"description": "Stripe Dublin",
"address": {
"country": "IE",
"geographicArea": "County Dublin",
"city": "Dublin",
"line2": null,
"line1": "1 Grand Canal Street Lower",
"postalCode": null
},
"headquarter": false
}
],
"organizationType": "Privately Held",
"defaultLocale": "en",
"followersCount": 1016002,
"pageMailbox": false,
"verified": true
}
}
Company API
Get Company Information
Extract detailed information about a company from LinkedIn.
POST
/
v1
/
data
/
company
/
info
Get Company Information
This method provides detailed and reliable data extraction directly through our service.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
LinkedIn company URL (e.g., https://www.linkedin.com/company/stripe/)
Response
string
Request status (success/error)
object
Show Properties
Show Properties
string
Company name
string
Company URL identifier
string
Company description
string
Company tagline or slogan
string
Company website URL
string
Industry classification
integer
Total number of employees
object
string
URL to the company logo
string
URL to the company cover image
object
array
string
Type of organization (e.g., “Privately Held”, “Public Company”)
string
Default locale/language code
integer
Number of LinkedIn followers
boolean
Whether the company page has mailbox enabled
boolean
Whether the company page is verified
{
"status": "success",
"data": {
"name": "Stripe",
"universalName": "stripe",
"description": "Stripe is a financial infrastructure platform for businesses. Millions of companies—from the world's largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
"tagline": "Help increase the GDP of the internet.",
"websiteUrl": "https://stripe.com",
"industry": "Technology, Information and Internet",
"employeeCount": 11685,
"employeeCountRange": {
"start": 5001,
"end": 10000
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/D4E0BAQFqiwiSMcKk6A/company-logo_200_200/company-logo_200_200/0/1724937022726/stripe_logo?e=1750896000&v=beta&t=HhXH11lhKvAADBP8MukV5oM-Im2NLhNTAWeMDx5QGM8",
"coverImageUrl": null,
"callToAction": {
"displayText": "Learn more",
"visible": true,
"type": "LEARN_MORE",
"url": "https://stripe.com/jobs"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"headquarter": true
},
{
"streetAddressOptOut": false,
"description": "Stripe Dublin",
"address": {
"country": "IE",
"geographicArea": "County Dublin",
"city": "Dublin",
"line2": null,
"line1": "1 Grand Canal Street Lower",
"postalCode": null
},
"headquarter": false
}
],
"organizationType": "Privately Held",
"defaultLocale": "en",
"followersCount": 1016002,
"pageMailbox": false,
"verified": true
}
}
Notes
- The company URL must be a valid LinkedIn company page URL
- Some fields may be null or missing depending on the company’s public information and privacy settings
Was this page helpful?